std::chrono::duration::operator++,(3)

NAME
std::chrono::duration::operator++, - std::chrono::duration::operator++,

Synopsis
   duration& operator++(); (until
                        C++17)
   constexpr duration& (since
   operator++(); C++17)
   duration operator++(int); (until
                        C++17)
   constexpr duration (since
   operator++(int); (1) C++17)
   duration& operator--(); (until
                        (2) C++17)
   constexpr duration& (since
   operator--(); (3) C++17)
   duration operator--(int); (until
                        (4) C++17)
   constexpr duration (since
   operator--(int); C++17)
   Increments or decrements the number of ticks for this duration.
   If rep_ is a member variable holding the number of ticks in a duration object,
   1) Equivalent to ++rep_; return *this;
   2) Equivalent to return duration(rep_++)
   3) Equivalent to --rep_; return *this;
   4) Equivalent to return duration(rep_--);

Parameters
   (none)

Return value
   1,3) a reference to this duration after modification
   2,4) a copy of the duration made before modification

Example
// Run this code
 #include <chrono>
 #include <iostream>
 int main()
 {
     std::chrono::hours h(1);
     std::chrono::minutes m = ++h;
     m--;
     std::cout << m.count() << " minutes\n";
 }

Output:
 119 minutes

See also
   operator+=
   operator-= implements compound assignment between two durations
   operator*= (public member function)
   operator/=
   operator%=
   operator+
   operator-
   operator* implements arithmetic operations with durations as arguments
   operator/ (function template)
   operator%
   (C++11)